# pandas.Index.is_boolean

Index.is_boolean()

  Check if the Index only consists of booleans.

  Returns
    bool

      Whether or not the Index only consists of booleans.

  See also

  `is_integer`

    Check if the Index only consists of integers.

  `is_floating`

    Check if the Index is a floating type.

  `is_numeric`

    Check if the Index only consists of numeric data.

  `is_object`

    Check if the Index is of the object dtype.

  `is_categorical`

    Check if the Index holds categorical data.

  `is_interval`

    Check if the Index holds Interval objects.

  `is_mixed`

    Check if the Index holds data with mixed data types.

  Examples

      >>> idx = pd.Index([True, False, True])
      >>> idx.is_boolean()
      True

      >>> idx = pd.Index(["True", "False", "True"])
      >>> idx.is_boolean()
      False

      >>> idx = pd.Index([True, False, "True"])
      >>> idx.is_boolean()
      False